Kerbal Space Program - Bug #503

Rover's rotation is locked after docking with base, complete system is rotating unstoppably
03/27/2013 02:28 PM - klapanciusz

Status: Closed Start date: 03/27/2013
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.19 Language: English (US)
Platform: Win32 Mod Related: No
Description

While docking a rover to a Mun base the followings happen:

There is a slight height difference between the bases' and the rover's docking port.

The magnetic forces of the docking rings make the rover pitching slightly in order to dock.

As soon as the docking is complete, the complete base+rover assembly continues the rotating motion of the rover's last moment.
The only way to stop it is to time accelerate, it locks the attitude once and for all.

Undocking makes the base behave normally, but the rover's attitude being locked makes the rover unusable from that on.

It may or may not be a docking problem, | hesitated to mark it as a Physics issue.

I am using 1.9.0.49 clean install and all the objects involved in this issue were made freshly with my latest version.

| attached my quicksave file, it needs a couple of seconds to dock the rover and observe the whole base slowly flipping over.

History

#1 - 04/04/2013 01:07 AM - Unit327
- File buggy launcher.craft added

Just wanted to add that the rover's attitude being locked also happens for me on Linux. In my case | have a rover (with an attached lander) which | am
docking with a space station in kerbin orbit to refuel it before sending it to the mun. After undocking it and drifting away, it will not rotate and behaves
as if it is still docked to something which is keeping it still (though this does not effect translation, only rotation). | have attached my craft file.

#2 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 08/07/2016 11:33 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files
quicksave.sfs 3.3 MB 03/27/2013 klapanciusz
buggy launcher.craft 113 KB 04/04/2013 Unit327
